More explanation on configure failures when --enable-readline etc.
authorStelian Pop <stelian@popies.net>
Mon, 23 Jul 2001 10:03:05 +0000 (10:03 +0000)
committerStelian Pop <stelian@popies.net>
Mon, 23 Jul 2001 10:03:05 +0000 (10:03 +0000)
configure
configure.in

index d0a7ab05b159a2df84ba8fe63ad50380d1ceb44b..3c4404cac317468b47925e1accf509581634a0f3 100755 (executable)
--- a/configure
+++ b/configure
@@ -1879,7 +1879,7 @@ fi
 
 if test "$termcap_lib" = no; then
        if test "$READLINE" = "-lreadline -ltermcap"; then
-               { echo "configure: error: You need to install the GNU termcap libraries first" 1>&2; exit 1; }
+               { echo "configure: error: You need to install the GNU termcap library or configure without --enable-readline" 1>&2; exit 1; }
        fi
 fi
 
@@ -1960,7 +1960,7 @@ fi
 
 if test "$readline_h" = no -o "$readline_lib" = no; then
        if test "$READLINE" = "-lreadline -ltermcap"; then
-               { echo "configure: error: You need to install the GNU readline libraries first" 1>&2; exit 1; }
+               { echo "configure: error: You need to install the GNU readline library or configure without --enable-readline" 1>&2; exit 1; }
        fi
 fi
 
index a99ea2f26a1f90bac4716c9aeffac7131084e6e6..fc2896719fb26eafd0edb5a6c4bec089ad0b3059 100644 (file)
@@ -340,7 +340,7 @@ dnl
 AC_CHECK_LIB(termcap, tgetent, [termcap_lib=yes], [termcap_lib=no])
 if test "$termcap_lib" = no; then
        if test "$READLINE" = "-lreadline -ltermcap"; then
-               AC_MSG_ERROR(You need to install the GNU termcap libraries first)
+               AC_MSG_ERROR(You need to install the GNU termcap library or configure without --enable-readline)
        fi
 fi
 
@@ -351,7 +351,7 @@ AC_CHECK_HEADER(readline/readline.h, [readline_h=yes], [readline_h=no])
 AC_CHECK_LIB(readline, readline, [readline_lib=yes], [readline_lib=no], "-ltermcap")
 if test "$readline_h" = no -o "$readline_lib" = no; then
        if test "$READLINE" = "-lreadline -ltermcap"; then
-               AC_MSG_ERROR(You need to install the GNU readline libraries first)
+               AC_MSG_ERROR(You need to install the GNU readline library or configure without --enable-readline)
        fi
 fi